Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceMetrics & DebuggingPOST /v0/pipelines/{pipeline_name}/samply_profile

Start a Samply profile

POST/v0/pipelines/{pipeline_name}/samply_profileMetrics & Debugging

Try it

POST/v0/pipelines/{pipeline_name}/samply_profile
Authentication
Parameters

Profile the pipeline using the Samply profiler for the next duration_secs seconds.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Query parameters

NameTypeRequiredDescription
ordinalintegerNoIn a multihost pipeline, the ordinal of the pipeline to sample.
duration_secsinteger (int64)NoThe number of seconds to sample for the profile.

Response

202Started profiling the pipeline with the Samply tool
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
409Samply profile collection is already in progressapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X POST 'https://api.example.com/v0/pipelines/{pipeline_name}/samply_profile?ordinal=<ordinal>&duration_secs=<duration_secs>' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown pipeline name 'non-existent-pipeline'", "error_code": "UnknownPipelineName", "details": { "pipeline_name": "non-existent-pipeline" } }